# Copyright (c) 2021-present eyeo GmbH
#
# This module is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

---

# https://docs.ansible.com/ansible/latest/collections/community/libvirt/virt_module.html
- name:
    "virt autostart : {{ guest.key }}"
  virt:
    name: "{{ guest_name }}"
    autostart: "{{ guest_autostart }}"

# https://docs.ansible.com/ansible/latest/collections/community/libvirt/virt_module.html
- name:
    "virt start : {{ guest.key }}"
  virt:
    name: "{{ guest_name }}"
    command: "start"
  when:
    "guest_start"
